# Coveo Text Component (CoveoText)

## Index

### Methods

- debugInfo
- disable
- enable
- getBindings
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- color
- marginBottom
- marginLeft
- marginRight
- marginTop
- paddingBottom
- paddingLeft
- paddingRight
- paddingTop
- size
- style
- textAlign
- value
- weight

### Constructors

- constructor

## Methods

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### color

color: string

- Defined in ui/Text/Text.ts :71

Markup configuration example(s) :

    data-color='foo'

### marginBottom

marginBottom: string

- Defined in ui/Text/Text.ts :91

Markup configuration example(s) :

    data-margin-bottom='foo'

### marginLeft

marginLeft: string

- Defined in ui/Text/Text.ts :96

Markup configuration example(s) :

    data-margin-left='foo'

### marginRight

marginRight: string

- Defined in ui/Text/Text.ts :101

Markup configuration example(s) :

    data-margin-right='foo'

### marginTop

marginTop: string

- Defined in ui/Text/Text.ts :86

Markup configuration example(s) :

    data-margin-top='foo'

### paddingBottom

paddingBottom: string

- Defined in ui/Text/Text.ts :111

Markup configuration example(s) :

    data-padding-bottom='foo'

### paddingLeft

paddingLeft: string

- Defined in ui/Text/Text.ts :116

Markup configuration example(s) :

    data-padding-left='foo'

### paddingRight

paddingRight: string

- Defined in ui/Text/Text.ts :121

Markup configuration example(s) :

    data-padding-right='foo'

### paddingTop

paddingTop: string

- Defined in ui/Text/Text.ts :106

Markup configuration example(s) :

    data-padding-top='foo'

### size

size: string

- Defined in ui/Text/Text.ts :61

Markup configuration example(s) :

    data-size='foo'

### style

style: string

- Defined in ui/Text/Text.ts :66

Markup configuration example(s) :

    data-style='foo'

### textAlign

textAlign: string

- Defined in ui/Text/Text.ts :81

Markup configuration example(s) :

    data-text-align='foo'

### value

value: string

- Defined in ui/Text/Text.ts :56

Markup configuration example(s) :

    data-value='foo'

### weight

weight: string

- Defined in ui/Text/Text.ts :76

Markup configuration example(s) :

    data-weight='foo'

## Constructors

### constructor

- new Text(element: HTMLElement, options?: ITextOptions, bindings?: IComponentBindings): Text

- Overwrites Component.constructor

  - Defined in ui/Text/Text.ts :122

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional options: ITextOptions

  - ##### Optional bindings: IComponentBindings

  #### Returns Text